CGI::Session::ID::static(3)

NAME
CGI::Session::ID::static - CGI::Session ID Driver for generating static IDs

SYNOPSIS
    use CGI::Session;
    $session = CGI::Session->new( 'driver:mysql;id:static', $ENV{REMOTE_ADDR}, { Handle => $dbh } );

DESCRIPTION
CGI::Session::ID::static is used to generate consistent, static session ID's. In other words, you tell CGI::Session ID you want to use, and it will honor it.

Unlike the other ID drivers, this one requires that you provide an ID when creating the session object; if you pass it an undefined value, it will croak.

COPYRIGHT
Copyright (C) 2002 Adam Jacob <adam@sysadminsith.org>,

This library is free software. You can modify and distribute it under the same terms as Perl itself.

AUTHORS
Adam Jacob <adam@sysadminsith.org>,

LICENSING
For additional support and licensing see CGI::Session